
Name:		      xterm
Version:	      389
Release:	      %mkrel 1
Summary:        The standard terminal emulator for the X Window System
Summary(de):    Der Standardterminalemulator für das X Window System
License:        MIT
Group:          Terminals
Url:            http://invisible-island.net/xterm/
Source1:	      %{name}.desktop
Source2:	      %{name}-root.desktop
Source11:	      %{name}-16x16.png
Source12:	      %{name}-32x32.png
Source13:	      %{name}-48x48.png
Source20:   	  colortest.pl

BuildRequires:  fontconfig-devel
BuildRequires:  lib64ncurses-devel
BuildRequires:  lib64x11-devel
BuildRequires:  lib64xaw-devel
BuildRequires:  lib64xft-devel
BuildRequires:  lib64xmu-devel
BuildRequires:  lib64xt-devel
BuildRequires:  luit
Requires(post,postun):  update-alternatives
Requires:       luit

%description
The XTerm program is the standard terminal emulator for the X Window System. It
provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly. If the underlying operating system
supports terminal resizing capabilities (for example, the SIGWINCH signal in
systems derived from 4.3bsd), xterm will use the facilities to notify programs
running in the window whenever it is resized.

The xterm included in this package has support for 256 colors enabled.

%description -l de
Das XTerm Programm ist der Standardterminalemulator für das X Window System.
Er bietet DEC VT102- und Tektronix 4014-kompatible Terminals für Programme, die
das Fenstersystem nicht direkt verwenden können. Diese Version implementiert
ISO/ANSI-Farben und die meisten der Steuersequenzen, die von DEC VT220-Terminals
verwendet werden.

Dieses Paket bietet vier Kommandos:

xterm, den traditionellen Terminal-Emulator;

uxterm, einen Wrapper um xterm mit intelligentem Wissen über Locale-Einstellungen
(insbesondere wenn die UTF-8-Zeichenkodierung verwendet wird), der aber das
luit-Programm aus dem Paket xutils benötigt;

koi8rxterm, einen Wrapper ähnlich wie uxterm für Locales, die die KOI8-R-Zeichenkodierung
verwenden; und

lxterm, einen einfachen Wrapper, der anhand der Locale-Einstellungen des Benutzers
auswählt, welches der aufgeführten Kommandos zu starten ist.

Eine komplette Liste der Steuersequenzen, die vom X-Terminal-Emulator unterstützt
werden, steht in /usr/share/doc/xterm.

Das Programm xterm verwendet Bitmap-Bilder aus dem Paket xlibs-data. Diejenigen,
die an der Verwendung von koi8rxterm interessiert sind, werden wahrscheinlich auch
das Paket »xfonts-cyrillic« installieren wollen.

%package root
Summary:        %{name} for root
Group:          Terminals
BuildArch:      noarch
Requires:       %{name}
Requires:       gksu

%description root
%{name} for root.
%prep

%build
pushd %{_sourcedir}
wget -nc https://invisible-island.net/datafiles/release/xterm.tar.gz
tar -xf xterm.tar.gz -C %_builddir
cp %{SOURCE20} %_builddir
popd

pushd %_builddir/%{name}-%{version}
%configure2_5x \
  --disable-full-tgetent \
  --enable-wide-chars \
  --x-includes=%{_includedir}/freetype2 \
  --enable-luit \
  --enable-256-color \
  --with-app-defaults=%{_libdir}/X11/app-defaults \
  --with-icon-theme=hicolor \
  --with-icondir=%{_datadir}/icons
%make_build
popd


%install
pushd  %_builddir/%{name}-%{version}
%makeinstall_std
popd

cat << EOF >> %{buildroot}%{_libdir}/X11/app-defaults/XTerm
XTerm*utf8: 1
XTerm*utf8Title: true
XTerm*faceName: Monospace Regular
XTerm*faceSize: 12
XTerm*vt100*geometry: 100x30
XTerm*saveLines: 5000
XTerm*loginShell: true
XTerm*charClass: 33:48,35:48,37:48,43:48,45-47:48,64:48,95:48,126:48
XTerm*termName: xterm-color
XTerm*eightBitInput: false
XTerm*visualBell: true
XTerm*bellIsUrgent: true
XTerm*borderWidth: 0
XTerm*cursorBlink: true
XTerm*selectToClipboard: true
XTerm*rightScrollBar: false
XTerm*scrollBar: false
XTerm*foreground: #00ff00
XTerm*background: #2c2b2b
XTerm*cursorColor: #00ffff
EOF

mkdir -p %{buildroot}%{_desktopdir}
install -m 0644 %{S:1} %{buildroot}%{_desktopdir}
install -m 0644 %{S:2} %{buildroot}%{_desktopdir}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-TerminalEmulator" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/*

for xpm in *xterm{-color_32x32,-color_48x48,_32x32,_48x48}.xpm; do
	rm -f %{buildroot}%{_datadir}/pixmaps/$xpm
done

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{S:11} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/xterm-terminal.png
install -m 644 %{S:12} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/xterm-terminal.png
install -m 644 %{S:13} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/xterm-terminal.png

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{S:13} %{buildroot}%{_datadir}/pixmaps/xterm-terminal.png

%if 0
mv %{buildroot}%{_bindir}/xterm %{buildroot}%{_bindir}/xterm.real
cat << EOF >> %{buildroot}%{_bindir}/xterm
#!/bin/bash

if echo "\$@" | grep -- '-name' >&/dev/null ; then
  exec %{_bindir}/xterm.real "\$@"
else exec %{_bindir}/xterm.real -name Terminal "\$@"
fi
EOF
chmod a+rx $r%{_bindir}/xterm
%endif

%post
update-alternatives --install %{_bindir}/xvt xvt %{_bindir}/xterm 18 || :
%update_menus

%postun
[[ "$1" = "0" ]] && update-alternatives --remove xvt %{_bindir}/xterm || :
%clean_menus

%files
%defattr(-,root,root)
%doc colortest.pl
%{_bindir}/*
%{_libdir}/X11/app-defaults/*
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*xterm*
%{_mandir}/man1/*
%{_datadir}/pixmaps


%files root
%defattr(-,root,root)
%{_desktopdir}/%{name}-root.desktop

%changelog
* Wed Jan 03 2024 tex - 389-1pclos2024
- new version

* Tue Jul 11 2023 tex - 384-1pclos2023
- new version

* Fri Feb 17 2023 tex - 379-1pclos2023
- new version

* Thu Feb 09 2023 tex - 378-1pclos2023
- new version

* Sun Nov 27 2022 tex - 377-1pclos2022
- new version

* Mon Nov 21 2022 tex - 376-1pclos2022
- new version

* Thu Oct 20 2022 tex - 374-1pclos2022
- new version

* Sat Aug 27 2022 tex - 372-1pclos2022
- new version
